﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using Telerik.Windows.Data;

namespace EscapeDollarSignExport
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
			this.clubsGrid.ElementExporting += ClubsGrid_ElementExporting;
		}

		private void ClubsGrid_ElementExporting(object sender, GridViewElementExportingEventArgs e)
		{
			var value = e.Value?.ToString();
			if (value != null && value.Contains("$"))
			{
				e.Value = "'" + value;
			}
		}

		private void Button1_Click(object sender, RoutedEventArgs e)
		{
			string extension = "xls";
			SaveFileDialog dialog = new SaveFileDialog()
			{
				DefaultExt = extension,
				Filter = String.Format("{1} files (*.{0})|*.{0}|All files (*.*)|*.*", extension, "Excel"),
				FilterIndex = 1
			};
			if (dialog.ShowDialog() == true)
			{
				using (Stream stream = dialog.OpenFile())
				{
					clubsGrid.Export(stream,
					 new GridViewExportOptions()
					 {
						 Format = ExportFormat.ExcelML
					 });
				}
			}
		}

		private void Button2_Click(object sender, RoutedEventArgs e)
		{

		}
	}
}
